Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225727 - botan2: FTBFS in Fedora rawhide/f39
Summary: botan2: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: botan2
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frantisek Sumsal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:17 UTC by Fedora Release Engineering
Modified: 2023-09-05 23:17 UTC (History)
3 users (show)

Fixed In Version: botan2-2.19.3-5.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-05 23:17:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:17 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:17 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:17 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Fedora Package Sources botan2 pull-request 4 0 None None None 2023-09-04 15:56:57 UTC

Description Fedora Release Engineering 2023-07-25 17:17:12 UTC
botan2 failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103560889


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix botan2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
botan2 will be orphaned. Before branching of Fedora 40,
botan2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:17:22 UTC
Created attachment 1977659 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:17:26 UTC
Created attachment 1977660 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:17:30 UTC
Created attachment 1977661 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:55:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2023-09-04 19:41:15 UTC
FEDORA-2023-e6899afe29 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e6899afe29

Comment 6 Fedora Admin user for bugzilla script actions 2023-09-05 00:07:29 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-09-05 02:01:32 UTC
FEDORA-2023-e6899afe29 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e6899afe29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e6899afe29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-05 23:17:18 UTC
FEDORA-2023-e6899afe29 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.